load init_pt_branch

tot_lambda=pi^2/4*(7:.1:20);
m=length(tot_lambda);
tot_a=zeros(350,m);
tot_I=zeros(2,m);
tol=5e-12;
tot_nu=flip(1.05:.03/(m-1):1.08);

for k=1:m
    lambda=tot_lambda(k);
    [a,b,N] = change_size(a,lambda,0,tol);
    
    while norm(a(length(a)-4:length(a)))>1e-14;
        [a,b,N] = change_size(a,lambda,10,tol);
    end
    
    nu=tot_nu(k);
    [I,success] = Laplace_Beltrami_proof(a,lambda,nu);
    if success==0
        return
    end
    display(['lambda = ',num2str(lambda),', N = ',num2str(N),', nu = ',num2str(nu),', I = [',num2str(I(1)),',',num2str(I(2)),']'])
    tot_I(:,k)=I';
    tot_a(1:length(a),k)=a;
    
end
    
