function [a,b,N] = change_size(a,lambda,extra_dim,tol)

N=length(a)-1;
max_steps=10;

if extra_dim<0
    a=a(1:N+1+extra_dim);
else
    a=[a;zeros(extra_dim,1)];
end

N=N+extra_dim;

zerror=1e-15;
b=zeros(2*N+3,1);
b(1)=1;
for k=1:N+1
    b(2*k+1)=-2*zetaerrorj(2*k,zerror)/2^(2*k);
end

a=newton(lambda,N,a,b,tol,max_steps);

end

