close all
clear

phi=0:.001:1;

display('%%%%%%%%%%%%%%%%% PROOF 1 %%%%%%%%%%%%%%%%%%%')
load sol1
nu=1.06;
I=Laplace_Beltrami_proof(a,lambda,nu);
display(['lambda = ',num2str(lambda),', N = ',num2str(N),', I = [',num2str(I(1)),',',num2str(I(2)),']'])
figure
plot(phi,ufgv(phi,N,a),'linewidth',3);
set(gca,'FontSize',20)
xlabel('$$\varphi$$','interpreter','latex','FontSize',25)
ylabel('$$v$$','interpreter','latex','FontSize',25)
title('Solution #1')
plot_solutions_problem1(a);
title('Solution #1')
display(' ')

display('%%%%%%%%%%%%%%%%% PROOF 2 %%%%%%%%%%%%%%%%%%%')
load sol2
nu=1.04;
I=Laplace_Beltrami_proof(a,lambda,nu);
display(['lambda = ',num2str(lambda),', N = ',num2str(N),', I = [',num2str(I(1)),',',num2str(I(2)),']'])
figure
plot(phi,ufgv(phi,N,a),'linewidth',3);
set(gca,'FontSize',20)
xlabel('$$\varphi$$','interpreter','latex','FontSize',25)
ylabel('$$v$$','interpreter','latex','FontSize',25)
title('Solution #2')
plot_solutions_problem1(a);
title('Solution #2')
display(' ')

display('%%%%%%%%%%%%%%%%% PROOF 3 %%%%%%%%%%%%%%%%%%%')
load sol3
nu=1.058;
I=Laplace_Beltrami_proof(a,lambda,nu);
display(['lambda = ',num2str(lambda),', N = ',num2str(N),', I = [',num2str(I(1)),',',num2str(I(2)),']'])
figure
plot(phi,ufgv(phi,N,a),'linewidth',3);
set(gca,'FontSize',20)
xlabel('$$\varphi$$','interpreter','latex','FontSize',25)
ylabel('$$v$$','interpreter','latex','FontSize',25)
title('Solution #3')
plot_solutions_problem1(a);
title('Solution #3')
display(' ')
